<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/SampleApp/src -&gt; include Relation</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.12.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_69fa8d0f4fee2820ffc8601fbf428b42.html">SampleApp</a></li><li class="navelem"><a class="el" href="dir_61b1a6e3bf15e9a2bd54138c91885410.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="contents">
<h3>src &rarr; include Relation</h3><table class="dirtab"><tr class="dirtab"><th class="dirtab">File in SampleApp/src</th><th class="dirtab">Includes file in SampleApp/include</th></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_connection_observer_8cpp.html">ConnectionObserver.cpp</a></td><td class="dirtab"><a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a>&#160;/&#160;<a class="el" href="_connection_observer_8h.html">ConnectionObserver.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_console_printer_8cpp.html">ConsolePrinter.cpp</a></td><td class="dirtab"><a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a>&#160;/&#160;<a class="el" href="_console_printer_8h.html">ConsolePrinter.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_console_reader_8cpp.html">ConsoleReader.cpp</a></td><td class="dirtab"><a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a>&#160;/&#160;<a class="el" href="_console_printer_8h.html">ConsolePrinter.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_console_reader_8cpp.html">ConsoleReader.cpp</a></td><td class="dirtab"><a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a>&#160;/&#160;<a class="el" href="_console_reader_8h.html">ConsoleReader.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_gui_renderer_8cpp.html">GuiRenderer.cpp</a></td><td class="dirtab"><a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a>&#160;/&#160;<a class="el" href="_console_printer_8h.html">ConsolePrinter.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_gui_renderer_8cpp.html">GuiRenderer.cpp</a></td><td class="dirtab"><a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a>&#160;/&#160;<a class="el" href="_gui_renderer_8h.html">GuiRenderer.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_interaction_manager_8cpp.html">InteractionManager.cpp</a></td><td class="dirtab"><a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a>&#160;/&#160;<a class="el" href="_interaction_manager_8h.html">InteractionManager.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_keyword_observer_8cpp.html">KeywordObserver.cpp</a></td><td class="dirtab"><a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a>&#160;/&#160;<a class="el" href="_keyword_observer_8h.html">KeywordObserver.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="main_8cpp.html">main.cpp</a></td><td class="dirtab"><a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a>&#160;/&#160;<a class="el" href="_console_reader_8h.html">ConsoleReader.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="main_8cpp.html">main.cpp</a></td><td class="dirtab"><a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a>&#160;/&#160;<a class="el" href="_sample_application_8h.html">SampleApplication.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="main_8cpp.html">main.cpp</a></td><td class="dirtab"><a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a>&#160;/&#160;<a class="el" href="_sample_application_return_codes_8h.html">SampleApplicationReturnCodes.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_port_audio_microphone_wrapper_8cpp.html">PortAudioMicrophoneWrapper.cpp</a></td><td class="dirtab"><a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a>&#160;/&#160;<a class="el" href="_console_printer_8h.html">ConsolePrinter.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_port_audio_microphone_wrapper_8cpp.html">PortAudioMicrophoneWrapper.cpp</a></td><td class="dirtab"><a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a>&#160;/&#160;<a class="el" href="_port_audio_microphone_wrapper_8h.html">PortAudioMicrophoneWrapper.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_revoke_authorization_observer_8cpp.html">RevokeAuthorizationObserver.cpp</a></td><td class="dirtab"><a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a>&#160;/&#160;<a class="el" href="_revoke_authorization_observer_8h.html">RevokeAuthorizationObserver.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_sample_application_8cpp.html">SampleApplication.cpp</a></td><td class="dirtab"><a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a>&#160;/&#160;<a class="el" href="_connection_observer_8h.html">ConnectionObserver.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_sample_application_8cpp.html">SampleApplication.cpp</a></td><td class="dirtab"><a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a>&#160;/&#160;<a class="el" href="_keyword_observer_8h.html">KeywordObserver.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_sample_application_8cpp.html">SampleApplication.cpp</a></td><td class="dirtab"><a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a>&#160;/&#160;<a class="el" href="_sample_application_8h.html">SampleApplication.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_sample_application_8cpp.html">SampleApplication.cpp</a></td><td class="dirtab"><a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a>&#160;/&#160;<a class="el" href="_sample_equalizer_mode_controller_8h.html">SampleEqualizerModeController.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_sample_equalizer_mode_controller_8cpp.html">SampleEqualizerModeController.cpp</a></td><td class="dirtab"><a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a>&#160;/&#160;<a class="el" href="_console_printer_8h.html">ConsolePrinter.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_sample_equalizer_mode_controller_8cpp.html">SampleEqualizerModeController.cpp</a></td><td class="dirtab"><a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a>&#160;/&#160;<a class="el" href="_sample_equalizer_mode_controller_8h.html">SampleEqualizerModeController.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_u_i_manager_8cpp.html">UIManager.cpp</a></td><td class="dirtab"><a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a>&#160;/&#160;<a class="el" href="_console_printer_8h.html">ConsolePrinter.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_u_i_manager_8cpp.html">UIManager.cpp</a></td><td class="dirtab"><a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a>&#160;/&#160;<a class="el" href="_u_i_manager_8h.html">UIManager.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_user_input_manager_8cpp.html">UserInputManager.cpp</a></td><td class="dirtab"><a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a>&#160;/&#160;<a class="el" href="_console_printer_8h.html">ConsolePrinter.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_user_input_manager_8cpp.html">UserInputManager.cpp</a></td><td class="dirtab"><a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a>&#160;/&#160;<a class="el" href="_user_input_manager_8h.html">UserInputManager.h</a></td></tr></table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.12.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
